curl --request GET \
--url 'https://api.workstream.stateset.com/v1/brands/{brand_id}/parity' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY"
{
"brand_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"routing_mode": "string",
"canary_percent": 8,
"window": {
"from": "2026-08-31T14:22:05Z",
"to": "2026-08-31T14:22:05Z"
},
"summary": {
"total_events": 1,
"dispatched_to_new": 1,
"dispatched_to_legacy": 1,
"dry_run_events": 1,
"parity_match": 1,
"parity_mismatch": 1,
"parity_unknown": 1,
"mismatch_rate": 7.5,
"by_routing_mode": {
"legacy": 1,
"shadow": 1,
"canary": 1,
"live": 1
}
},
"recent_mismatches": [
{
"event_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"event_type": "string",
"routing_mode": "string",
"created_at": "2026-08-31T14:22:05Z",
"legacy_decision": {},
"new_decision": {}
}
]
}
Get brand parity dashboard
Legacy-vs-new decision parity over the window.
GET
/
v1
/
brands
/
{brand_id}
/
parity
curl --request GET \
--url 'https://api.workstream.stateset.com/v1/brands/{brand_id}/parity' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY"
{
"brand_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"routing_mode": "string",
"canary_percent": 8,
"window": {
"from": "2026-08-31T14:22:05Z",
"to": "2026-08-31T14:22:05Z"
},
"summary": {
"total_events": 1,
"dispatched_to_new": 1,
"dispatched_to_legacy": 1,
"dry_run_events": 1,
"parity_match": 1,
"parity_mismatch": 1,
"parity_unknown": 1,
"mismatch_rate": 7.5,
"by_routing_mode": {
"legacy": 1,
"shadow": 1,
"canary": 1,
"live": 1
}
},
"recent_mismatches": [
{
"event_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"event_type": "string",
"routing_mode": "string",
"created_at": "2026-08-31T14:22:05Z",
"legacy_decision": {},
"new_decision": {}
}
]
}
Path parameters
string (uuid)
required
Response
object
string (uuid)
required
string
required
integer
required
object
required
object[]
required
Status codes
| Code | Meaning |
|---|---|
200 | Legacy-vs-new decision parity over the window. |
400 | Validation error |
401 | Unauthorized |
404 | Not found |
429 | Rate limited |
500 | Internal error |
curl --request GET \
--url 'https://api.workstream.stateset.com/v1/brands/{brand_id}/parity' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY"
{
"brand_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"routing_mode": "string",
"canary_percent": 8,
"window": {
"from": "2026-08-31T14:22:05Z",
"to": "2026-08-31T14:22:05Z"
},
"summary": {
"total_events": 1,
"dispatched_to_new": 1,
"dispatched_to_legacy": 1,
"dry_run_events": 1,
"parity_match": 1,
"parity_mismatch": 1,
"parity_unknown": 1,
"mismatch_rate": 7.5,
"by_routing_mode": {
"legacy": 1,
"shadow": 1,
"canary": 1,
"live": 1
}
},
"recent_mismatches": [
{
"event_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"event_type": "string",
"routing_mode": "string",
"created_at": "2026-08-31T14:22:05Z",
"legacy_decision": {},
"new_decision": {}
}
]
}
Last modified on August 31, 2026